@import url("https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
  --text-Primary: #fff;
  --text-Secondary: #f0f0f0;
  --bg-Color: #070707;
  --card-Bg-Primary: radial-gradient(
    50% 50% at 50% 50%,
    rgba(255, 255, 255, 0.1) 0%,
    rgba(55, 55, 55, 0.1) 100%
  );
  --color-Primary: #4f1897;
  --button-Primary: #4f1897;
  --button-text: #fff;
  --border-Primary: rgba(255, 255, 255, 0.8);
  --border-Secondary: rgba(255, 255, 255, 0.4);
  --sfumatura: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0.4) 74%,
    rgba(0, 0, 0, 0) 100%
  );
  --switch: rgba(111, 0, 255, 0.5);
  --bold: 700;
  --extra-Bold: 900;
}
body {
  background-color: var(--bg-Color) !important;
}
header {
  top: 0;
  position: sticky;
  z-index: 99;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Poppins", sans-serif;
}

h1 {
  font-size: 72px !important;
  font-weight: 900;
}

.h1 {
  text-transform: uppercase;
  color: var(--text-Primary);
  z-index: 2;
  text-shadow: 0px 0px 22.29px white;
}

.subtitle {
  font-size: 28px !important;
  font-weight: 500;
  font-family: "Poppins", sans-serif;
  color: var(--text-Secondary);
}

h2 {
  font-weight: 900;
  font-size: 50px !important;
}

h3,
h4,
h5,
h6 {
  font-weight: 700 !important;
}
h3 {
  font-size: 40px !important;
}
h4 {
  font-size: 32px !important;
}

h5 {
  font-size: 24px !important;
}

h6 {
  font-size: 20px !important;
}

.p-bold {
  font-family: "Open Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
}
.p-semibold {
  font-family: "Open Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
}
.mini-heading {
  font-size: 14px;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  color: var(--text-Primary);
}

.links {
  padding: 14px 24px;
}

.button {
  padding: 10px 28px;
  border-radius: 24px;
  background: radial-gradient(
      231% 135.8% at 0.9% 2.98%,
      rgba(133, 132, 132, 0.4) 0%,
      rgba(255, 255, 255, 0) 100%
    ),
    #000;

  color: var(--text-Primary);
}

header a {
  text-decoration: none;
  color: var(--button-text);
}

/*FINE CSS GENERICO*/

/*INIZIO HEADER*/
.header {
  display: flex;
  padding: 37px 0px 24px 0;
  justify-content: space-between;
  align-items: center;
  background: rgba(0, 0, 0, 0.2);
}

.navigator {
  display: flex;
  background: radial-gradient(
      231% 135.8% at 0.9% 2.98%,
      rgba(133, 132, 132, 0.4) 0%,
      rgba(255, 255, 255, 0) 100%
    ),
    #000;
  border-radius: 26px;
  border: 1px solid var(--Border-Secondary, rgba(255, 255, 255, 0.4));
  padding: 4px;
}
.navigator {
  cursor: pointer;
}

.navigator__item {
  display: flex;
  justify-content: center;
  align-items: center;

  width: 88px;
  height: 44px;

  border-radius: 25px;

  font-weight: 500;
  color: #fff;
}

.navigator__item--active {
  background-color: var(--switch);
}

.page {
  display: none;
}

.page-visible {
  display: block;
}

#navbar_collapse a {
  color: var(--text-Primary);
  text-decoration: none;
}

#navbar_collapse a:hover {
  color: gainsboro;
}
#mobileMenuButton {
  color: var(--text-Primary);
  background: radial-gradient(
      231% 135.8% at 0.9% 2.98%,
      rgba(133, 132, 132, 0.4) 0%,
      rgba(255, 255, 255, 0) 100%
    ),
    #000;
  width: 50px;
  height: 50px;
  padding: 0;
  text-align: center;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  line-height: 1;
  border: var(--border-Secondary) solid 1px;
}
.mini-menu {
  background-color: var(--bg-Color) !important;
  opacity: 0;
  transform: translateY(-10px);
  transition: opacity 0.3s ease, transform 0.3s ease;
  border: solid var(--border-Secondary) 0.5px;
}

.show {
  opacity: 1;
  transform: translateY(0);
}

.mini-menu a {
  color: var(--text-Primary);
}

/*FINE HEADER*/

/*INIZIO MAIN*/

#landing {
  background-image: url(/assets/img/containers/Landing.svg);
  background-size: cover;
  height: 658.69px;
  justify-content: center;
  align-items: center;
  z-index: 1;
}

#landing h1 {
  text-transform: uppercase;
  color: white;
  z-index: 2;
  text-shadow: 0px 0px 22.29px white;
}

.contenitore {
  border: var(--border-Primary) solid 1;
  border-radius: 32px;
}
.contenitore-about {
  box-sizing: border-box;
  background: var(--card-Bg-Primary);
  border: var(--border-Primary) solid 0.8px;
  border-radius: 26px;
  color: var(--text-Primary);
}

.contenitore-lavori {
  height: 669.48px;
  background: var(--card-Bg-Primary);
  border: var(--border-Primary) solid 0.8px;
  border-radius: 32px;
  outline: var(--border-Secondary) solid 0.8px;
  outline-offset: 8px;
  overflow: hidden;
  color: var(--text-Primary);
}

.contenitore-single-project {
  background: var(--card-Bg-Primary);
  border: var(--border-Primary) solid 0.8px;
  border-radius: 32px;
  outline: var(--border-Secondary) solid 0.8px;
  outline-offset: 8px;
}

.contenitore-final-design {
  background: var(--card-Bg-Primary);
  border: var(--border-Primary) solid 0.8px;
  border-radius: 32px;
  outline: var(--border-Secondary) solid 0.8px;
  outline-offset: 8px;
  color: var(--text-Primary);
}

.contenitore-lavori p {
  color: var(--text-Secondary);
}
.contenitore-lavori i {
  font-size: 48px;
}
section a {
  color: var(--text-Primary);
  text-decoration: none;
}

.contenitore-verticale {
  background: var(--card-Bg-Primary);
  border: var(--border-Primary) solid 0.8px;
  border-radius: 32px;
  outline: var(--border-Secondary) solid 0.8px;
  outline-offset: 8px;
  color: var(--text-Primary);
}

.about-text {
  margin: 80px 0;
}

/*FINE MAIN*/
footer {
  border-top: 1px solid rgba(255, 255, 255, 0.4);
}
footer,
footer a {
  text-decoration: none;
  color: var(--button-text);
}

#contact a i {
  color: var(--color-Primary);
}
.rigths-reserved {
  border-top: 1px solid rgba(255, 255, 255, 0.4);
  color: var(--text-Primary);
}

.mobile-only {
  display: none;
}

.display-flex {
  display: flex;
}

.container-single-project {
  background-image: url(/assets/img/containers/single-project-desktop.svg);
  background-size: cover;
  height: 658.69px;
  justify-content: center;
  align-items: center;
  z-index: 1;
}

.floating-menu {
  display: flex;
  flex-direction: column;
  row-gap: 1rem;

  position: fixed;
  top: 5rem;
  right: 9rem;
}

.floating-menu__item {
  text-decoration: none;
  color: #fff;
}

.floating-menu__item:hover {
  opacity: 0.7;
}

.floating-menu__item--active {
  color: #d2a8ff;
}

.problem-section {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.problem-item {
  padding: 24px;
  background-color: #181818;
  border-left: 4px solid var(--color-Primary);
  border-radius: 4px;
  color: var(--text-Primary);
}

.problem-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  color: #9747ff;
}

.problem-description {
  height: 100%;
  align-items: center;
}

.gallery-img {
  width: 200px;
  height: 150px;
  object-fit: cover;
  border-radius: 5px;
  transition: all 0.3s;
}

.gallery-img:hover {
  transform: scale(1.05);
  cursor: pointer;
}

.lg-sub-html {
  color: var(--text-Primary);
  font-size: 16px;
}

.swiper-button-next {
  right: 50px !important;
  color: var(--color-Primary) !important;
}
.swiper-button-prev {
  left: 50px !important ;
  color: var(--color-Primary) !important;
}

@media (max-width: 1399px) {
  #landing {
    height: 550px;
  }

  .container-single-project {
    height: 550px;
  }
}

@media (max-width: 1199px) {
  #landing {
    height: 450px;
  }
  .container-single-project {
    background-image: url(/assets/img/containers/single-project-desktop.svg);
    height: 450px;
  }
}

@media (max-width: 1024px) {
  h1 {
    font-size: 34px !important;
  }
  .subtitle {
    font-size: 14px !important;
  }

  #landing {
    background-image: url(/assets/img/containers/Landing-tablet.svg);
    height: 385px;
  }

  .container-single-project {
    background-image: url(/assets/img/containers/single-project-tablet.svg);
    height: 385px;
  }
}

@media (max-width: 991px) {
  #landing {
    height: 280px;
  }

  .container-single-project {
    height: 280px;
  }
}

@media (max-width: 768px) {
  .about-text {
    margin: 24px 0;
  }
  .mobile-only {
    display: block;
  }

  .desktop-only {
    display: none;
  }

  .contenitore-lavori {
    height: fit-content;
  }

  #landing {
    background-image: url(/assets/img/containers/Landing-mobile.svg);
  }
  .container-single-project {
    background-image: url(/assets/img/containers/single-project-mobile.svg);
    height: 280px;
  }
  .swiper {
    width: 400px;
    height: auto;
  }
  .swiper-button-next,
  .swiper-button-prev {
    display: none !important  ;
  }
}

@media (max-width: 576px) {
}
